
import React from 'react';
import Icon from 'react-icon-base';

const SlSocialDropbox = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M1023.42 735.248c-0.719727 10.2236 -6.28711 19.4736 -14.9756 24.9141l-285.184 177.968c-11.5996 7.21582 -26.4316 6.31934 -37.0557 -2.28906l-174.224 -140.944l-174.192 140.944c-10.5918 8.55957 -25.5361 9.53516 -37.0557 2.28711l-285.184 -177.968 c-8.68848 -5.44043 -14.2568 -14.6885 -14.9766 -24.9121c-0.751953 -10.2236 3.47168 -20.1592 11.3115 -26.751l165.216 -138.816l-141.536 -111.184c-8.0957 -6.32031 -12.624 -16.1768 -12.2236 -26.417s5.68066 -19.6641 14.2246 -25.3604l130.976 -87.3115 c-6.43164 -5.83984 -10.5439 -14.208 -10.5439 -23.5996v-128.336c0 -11.1201 5.77637 -21.4404 15.248 -27.2803l321.968 -182.432c5.12012 -3.15234 10.9443 -4.7207 16.752 -4.7207s11.6318 1.59961 16.7842 4.75195l318.224 182.432 c9.47168 5.83984 15.2158 16.1602 15.2158 27.248v150.528c0 2.06445 -0.240234 4.08008 -0.608398 6.03223l124.048 82.6885c8.52832 5.67969 13.8086 15.0879 14.2246 25.3281c0.400391 10.2559 -4.0957 20.0801 -12.1602 26.416l-140.912 111.152l165.312 138.88 c7.85645 6.5918 12.0801 16.5273 11.3281 26.751zM736.673 569.346l-224.688 -140.784l-224.688 140.784l224.688 146.224zM86.8008 729.153l228.464 142.592l142.368 -115.184l-227.344 -147.968zM229.921 529.777l225.969 -141.6l-128.064 -98.0322l-218 145.312z M222.018 283.777l89.3438 -59.5674c11.3438 -7.56836 26.3193 -7.05664 37.1836 1.21582l129.408 99.04v-282.8l-255.936 143.68v98.4316zM798.209 185.346l-256.256 -145.681v287.776l132.656 -101.968c5.71191 -4.40039 12.624 -6.62402 19.5039 -6.62402 c6.19238 0 12.3682 1.77637 17.7441 5.37598l86.3359 57.5684v-96.4482h0.015625zM913.457 435.521l-218.031 -145.327l-127.44 97.9355l226 141.632zM793.666 608.595l-227.345 147.968l142.4 115.184l228.464 -142.592z"/></g>
    </Icon>
);

export default SlSocialDropbox;
